#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)

#-----------------------------------------------------------------------------
%global _description\
A set of Python bindings to the GSSAPI C library providing both\
a high-level pythonic interfaces and a low-level interfaces\
which more closely matches RFC 2743.  Includes support for\
RFC 2743, as well as multiple extensions.
#-----------------------------------------------------------------------------
Name		:	python-gssapi
Version		:	1.8.3
Release		:	16.2.0.rel%{?dist}
Summary		:	Python Bindings for GSSAPI (RFC 2743/2744 and extensions)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ISC
URL		:	https://pypi.org/project/gssapi/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	krb5-devel
BuildRequires	:	python3-cython

#-----------------------------------------------------------------------------
%description %{_description}

#=============================================================================
%package -n 		%(basename %{__python})-gssapi
Summary		:       Python 3 Bindings for GSSAPI (RFC 2743/2744 and extensions

#-----------------------------------------------------------------------------
Requires	:	krb5-libs >= 1.10
Requires	:	python3-six

#-----------------------------------------------------------------------------
%description -n 	%(basename %{__python})-gssapi %{_description}

#-----------------------------------------------------------------------------
%files -n 		%(basename %{__python})-gssapi
%defattr(-, root,root, 0755)
%doc README.txt
%license LICENSE.txt
%{python3_sitearch}/%{sname}/py.typed
%{python3_sitearch}/%{sname}/*.py
%{python3_sitearch}/%{sname}/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/raw/*.so
%{python3_sitearch}/%{sname}/raw/*.py
%{python3_sitearch}/%{sname}/raw/*.pyi
%{python3_sitearch}/%{sname}/raw/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/raw/_enum_extensions/*.so
%{python3_sitearch}/%{sname}/raw/_enum_extensions/*.py
%{python3_sitearch}/%{sname}/raw/_enum_extensions/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/tests/*.py
%{python3_sitearch}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitearch}/%{sname}-%{version}.dist-info/*

#=============================================================================
%prep
%setup -q	-n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
